{
  "type": "minecraft:crafting_shaped",
  "key": {
    "A": [
      "minecraft:iron_ingot"
    ],
    "B": [
      "minecraft:chainmail_leggings"
    ]
  },
  "pattern": [
    "AAA",
    "ABA",
    "AAA"
  ],
  "result": {
    "count": 1,
    "id": "minecraft:iron_leggings"
  },
  "show_notification": true
}